http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/vpcInterfaces/{vpcInterfaceName}Removes a VPC Interface from an existing flow. This request can be made only on a VPC interface that does not have a Source or Output associated with it. If the VPC interface is referenced by a Source or Output, you must first delete or update the Source or Output to no longer reference the VPC interface.
The flow that you want to remove a VPC interface from.
The name of the VPC interface that you want to remove.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/vpcInterfaces/{vpcInterfaceName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/vpcInterfaces/{vpcInterfaceName}Removes a VPC Interface from an existing flow. This request can be made only on a VPC interface that does not have a Source or Output associated with it. If the VPC interface is referenced by a Source or Output, you must first delete or update the Source or Output to no longer reference the VPC interface.
The flow that you want to remove a VPC interface from.
The name of the VPC interface that you want to remove.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/vpcInterfaces/{vpcInterfaceName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}